

%define kf5kiocore_major 5
%define libkf5kiocore %mklibname kf5kiocore %{kf5kiocore_major}
%define kf5kiontlm_major 5
%define libkf5kiontlm %mklibname kf5kiontlm %{kf5kiontlm_major}
%define kf5kiowidgets_major 5
%define libkf5kiowidgets %mklibname kf5kiowidgets %{kf5kiowidgets_major}
%define kf5kiofilewidgets_major 5
%define libkf5kiofilewidgets %mklibname kf5kiofilewidgets %{kf5kiofilewidgets_major}
%define kf5kiogui_major 5
%define libkf5kiogui %mklibname kf5kiogui %{kf5kiogui_major}
%define kf5kiocore_devel %mklibname kio -d

Summary:        KDE Frameworks 5 Tier 3 solution for filesystem abstraction
Name:           kio
Version: 	    5.115.0
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/
#general buildrequires
#------------------------------------------------------
BuildRequires: lib64qt5base5-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5help-devel
BuildRequires: lib64qt5imageformats-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5qml-devel
BuildRequires: lib64qt5quick-devel
BuildRequires: lib64qt5bluetooth-devel
BuildRequires: lib64tirpc-devel

BuildRequires: lib64qt5concurrent-devel
BuildRequires: lib64qt5designer-devel
BuildRequires: lib64qt5labstemplates-devel
BuildRequires: lib64qt5location-devel
BuildRequires: lib64qt5multimedia-devel
BuildRequires: lib64qt5multimediawidgets-devel
BuildRequires: lib64qt5nfc-devel
BuildRequires: lib64qt5opengl-devel
BuildRequires: lib64qt5platformsupport-devel
BuildRequires: lib64qt5positioning-devel
BuildRequires: lib64qt5printsupport-devel
BuildRequires: lib64qt5quickparticles-devel
BuildRequires: lib64qt5quicktest-devel
BuildRequires: lib64qt5quickwidgets-devel
BuildRequires: lib64qt5script-devel
BuildRequires: lib64qt5scripttools-devel
BuildRequires: lib64qt5sensors-devel
BuildRequires: lib64qt5serialport-devel
BuildRequires: lib64qt5sql-devel
BuildRequires: lib64qt5svg-devel
BuildRequires: lib64qt5test-devel
BuildRequires: lib64qt5waylandclient-devel
BuildRequires: lib64qt5webchannel-devel
BuildRequires:  cmake
BuildRequires:  kf5-macros
#------------------------------------------------------
BuildRequires: kdbusaddons-devel >= 5.20.0
BuildRequires: ki18n-devel >= 5.20.0
BuildRequires: kguiaddons-devel >= 5.20.0
BuildRequires: kauth-devel >= 5.20.0
BuildRequires: kcodecs-devel >= 5.20.0
BuildRequires: kconfig-devel >= 5.20.0
BuildRequires: kconfigwidgets-devel >= 5.20.0
BuildRequires: kitemviews-devel >= 5.20.0
BuildRequires: kcoreaddons-devel >= 5.20.0
BuildRequires: kwidgetsaddons-devel >= 5.20.0
BuildRequires: kservice-devel >= 5.20.0
BuildRequires: karchive-devel >= 5.20.0
BuildRequires: solid-devel >= 5.20.0
BuildRequires: kjobwidgets-devel >= 5.20.0
BuildRequires: kiconthemes-devel >= 5.20.0
BuildRequires: kwindowsystem-devel >= 5.20.0
BuildRequires: kcrash-devel >= 5.20.0
BuildRequires: kcompletion-devel >= 5.20.0
BuildRequires: kdoctools-devel >= 5.20.0
BuildRequires: sonnet-devel >= 5.20.0
BuildRequires: ktextwidgets-devel >= 5.20.0
BuildRequires: kglobalaccel-devel >= 5.20.0
BuildRequires: kxmlgui-devel >= 5.20.0
BuildRequires: kbookmarks-devel >= 5.20.0
BuildRequires: knotifications-devel >= 5.20.0
BuildRequires: kwallet-devel >= 5.20.0

BuildRequires: zlib-devel
BuildRequires: libxml2-utils
BuildRequires: docbook-dtds
BuildRequires: docbook-style-xsl
BuildRequires: acl-devel


%description
KDE Frameworks 5 Tier 3 solution for filesystem abstraction

%files
%_kf5_datadir
%_kf5_bindir
%_sysconfdir
%_libdir/qt5/plugins
%_kf5_libexecdir
%_kf5_libdir/lib*.so.*

%package -n %kf5kiocore_devel

Summary:        Devel stuff for %name
Group:          Development/Libraries
Requires:       %name  = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5kiocore_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5kiocore_devel
%_kf5_includedir
%_kf5_libdir/cmake
%_kf5_libdir/*.so
%_libdir/qt5/mkspecs

#--------------------------------------------------------------------

%pre
rm -f /usr/lib64/qt5/plugins/kf5/kio/file.so

%prep
%setup -q
%autopatch -p1

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja -DBUILD_TESTING=OFF -DBUILD_EXAMPLES=OFF -DSYSCONF_INSTALL_DIR="%_sysconfdir"
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build


%post
/sbin/ldconfig


%changelog
* Sun Feb 11 2024 tex - 5.115.0-1pclos2024
- new version

* Sat Jan 13 2024 tex - 5.114.0-1pclos2024
- new version

* Fri Dec 15 2023 tex - 5.113.0-1pclos2023
- new version

* Sun Nov 12 2023 tex - 5.112.0-1pclos2023
- new version

* Thu Oct 19 2023 tex - 5.111.0-1pclos2023
- new version

* Sun Sep 10 2023 tex - 5.110.0-1pclos2023
- new version

* Sat Aug 19 2023 tex - 5.109.0-1pclos2023
- new version

* Sun Jul 09 2023 tex - 5.108.0-1pclos2023
- new version

* Sun Jun 11 2023 tex - 5.107.0-1pclos2023
- new version

* Tue May 30 2023 tex - 5.106.0-2pclos2023
- rebuild against updates

* Sun May 14 2023 tex - 5.106.0-1pclos2023
- new version

* Sat Apr 08 2023 tex - 5.105.0-1pclos2023
- new version

* Wed Mar 08 2023 tex - 5.104.0-1pclos2023
- new version

* Sun Feb 12 2023 tex - 5.103.0-1pclos2023
- new version

* Sat Jan 14 2023 tex - 5.102.0-1pclos2023
- new version

* Sun Dec 11 2022 tex - 5.101.0-1pclos2022
- new version

* Mon Nov 14 2022 tex - 5.100.0-1pclos2022
- new version

* Mon Oct 10 2022 tex - 5.99.0-1pclos2022
- new version

* Mon Sep 19 2022 tex - 5.98.0-2pclos2022
- rebuild against updates

* Sun Sep 11 2022 tex - 5.98.0-1pclos2022
- new version

* Mon Aug 15 2022 tex - 5.97.0-1pclos2022
- new version

* Sun Jul 10 2022 tex - 5.96.0-1pclos2022
- new version

* Mon Jun 13 2022 tex - 5.95.0-1pclos2022
- new version

* Wed May 25 2022 tex - 5.94.0-1pclos2022
- new version

* Sun Apr 10 2022 tex - 5.93.0-1pclos2022
- new version

* Sun Mar 13 2022 tex - 5.92.0-1pclos2022
- new version

* Sun Feb 13 2022 tex - 5.91.0-1pclos2022
- new version

* Sat Jan 08 2022 tex - 5.90.0-1pclos2022
- new version

* Tue Dec 14 2021 tex - 5.89.0-1pclos2021
- new version

* Wed Nov 10 2021 tex - 5.88.0-1pclos2021
- new version

* Sat Oct 09 2021 tex - 5.87.0-1pclos2021
- new version

* Mon Sep 13 2021 tex - 5.86.0-2pclos2021
- rebuild against updates

* Sat Sep 11 2021 tex - 5.86.0-1pclos2021
- new version

* Wed Aug 11 2021 tex - 5.85.0-1pclos2021
- new version

* Fri Jul 09 2021 tex - 5.84.0-1pclos2021
- new version

* Sat Jun 12 2021 tex - 5.83.0-1pclos2021
- new version

